<template>
  <!--  -->
  <div>
    <patentList :projectId="projectId" :taskId="taskId" :taskType="taskType" :reportType="reportType" :isResult="isResult" :handlerType="handlerType"></patentList>
  </div>
</template>

<script>
import patentList from './components/index.vue'
export default {
  components: {
    patentList
  },
  data() {
    return {

    }
  },
  computed: {
    projectId() {
      return this.$route.query.projectId || 0
    },
    taskId() {
      return this.$route.query.taskId
    },
    taskType() {
      return this.$route.query.taskType || 0
    },
    reportType() {
      return this.$route.query.reportType
    },
    isResult() {//1处理2查看3确认结果
      return this.$route.query.isResult
    },
    handlerType() {//1外部人员0内部人员（只有外部做协同的时候传递）
      return this.$route.query.handlerType
    },
  },
  mounted() {

  },
  methods: {

  },
}
</script>

<style lang="scss" scoped></style>